package fxKalenteri;
import java.awt.Desktop;

import fi.jyu.mit.fxgui.*;
import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;

import javafx.scene.Parent;
import javafx.stage.Stage;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

/**
 * @author konst
 * @version 16.1.2025
 */
public class KalenteriGUIController {
    // TODO

    @FXML private void handleTallenna() {
        tallenna();
    }
    @FXML private void handleApua() {
    	 APUA();

    }
    
    
    @FXML private void handleLisaaReissu(){
        LisaaReissu();
    }

    /**
     * avaa uuden ikkunan "LisaaReissu"
     */
    private void LisaaReissu(){
    	 try {
             FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/fxLisaaReissu/LisaaReissuGUIview.fxml"));
             Parent root = fxmlLoader.load();
             Stage stage = new Stage();
             stage.setTitle("LisaaReissu");
             stage.setScene(new Scene(root));
             stage.show();
         } catch (IOException e) {
             e.printStackTrace();
         }

    }


    private void tallenna() {
        Dialogs.showMessageDialog("Tallennetetaan! Mutta ei toimi vielä");
    }


    /**
     * Avaa ohjelman suunnitelman selaimessa.
     */
    private void APUA(){
    	  Desktop desktop = Desktop.getDesktop();
          try {
              URI uri = new URI("https://tim.jyu.fi/view/kurssit/tie/ohj2/v/2025/kevat/ht/niemimm");
              desktop.browse(uri);
          } catch (URISyntaxException e) {
              return;
          } catch (IOException e) {
              return;
          }
    }

    @FXML
    private void handleReissu() {
        naytaReissu();
    }

    private void naytaReissu(){
        try {
            FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/fxReissu/ReissuGUIview.fxml"));
            Parent root = fxmlLoader.load();
            Stage stage = new Stage();
            stage.setTitle("Reissu");
            stage.setScene(new Scene(root));
            stage.show();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}